程序包 org.bukkit.configuration.file

# 类 YamlConfigurationOptions

java.lang.Object
org.bukkit.configuration.ConfigurationOptions
org.bukkit.configuration.MemoryConfigurationOptions
org.bukkit.configuration.file.FileConfigurationOptions
org.bukkit.configuration.file.YamlConfigurationOptions

public class YamlConfigurationOptions extends FileConfigurationOptions
Various settings for controlling the input and output of a `YamlConfiguration`

- ## 构造器概要

  构造器
  限定符
  构造器
  说明
  `protected`
  `YamlConfigurationOptions(@NotNull YamlConfiguration configuration)`

- ## 方法概要

  修饰符和类型
  方法
  说明
  `@NotNull YamlConfiguration`
  `configuration()`
  返回关联这个配置的 `Configuration`.
  `@NotNull YamlConfigurationOptions`
  `copyDefaults(boolean value)`
  如果这个`Configuration`从 它的默认`Configuration`那里直接 复制值, 就设为true.
  `@NotNull YamlConfigurationOptions`
  `copyHeader(boolean value)`
  已过时。
  `@NotNull YamlConfigurationOptions`
  `header(@Nullable String value)`
  已过时。
  `int`
  `indent()`
  Gets how much spaces should be used to indent each line.
  `@NotNull YamlConfigurationOptions`
  `indent(int value)`
  Sets how much spaces should be used to indent each line.
  `@NotNull YamlConfigurationOptions`
  `parseComments(boolean value)`
  Sets whether or not comments should be loaded and saved.
  `@NotNull YamlConfigurationOptions`
  `pathSeparator(char value)`
  设置用于分离 `ConfigurationSection` 中路径的 char.
  `@NotNull YamlConfigurationOptions`
  `setFooter(@Nullable List<String> value)`
  Sets the footer that will be applied to the bottom of the saved output.
  `@NotNull YamlConfigurationOptions`
  `setHeader(@Nullable List<String> value)`
  Sets the header that will be applied to the top of the saved output.
  `int`
  `width()`
  Gets how long a line can be, before it gets split.
  `@NotNull YamlConfigurationOptions`
  `width(int value)`
  Sets how long a line can be, before it gets split.

  ### 从类继承的方法 org.bukkit.configuration.file.FileConfigurationOptions

  `copyHeader, getFooter, getHeader, header, parseComments`

  ### 从类继承的方法 org.bukkit.configuration.ConfigurationOptions

  `copyDefaults, pathSeparator`

  ### 从类继承的方法 java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## 构造器详细资料

  - ### YamlConfigurationOptions

    protected YamlConfigurationOptions(@NotNull @NotNull YamlConfiguration configuration)

- ## 方法详细资料

  - ### configuration

    @NotNull public @NotNull YamlConfiguration configuration()
    从类复制的说明: `ConfigurationOptions`
    返回关联这个配置的 `Configuration`.

    原文: Returns the `Configuration` that this object is responsible for.

    覆盖:
      `configuration` 在类中 `FileConfigurationOptions`
    返回:
      Parent configuration

  - ### copyDefaults

    @NotNull public @NotNull YamlConfigurationOptions copyDefaults(boolean value)
    从类复制的说明: `ConfigurationOptions`
    如果这个`Configuration`从 它的默认`Configuration`那里直接 复制值, 就设为true.

    如果值为 true, 将直接从默认源中复制所有的值.

    机器翻译(使得不可能分别设置，默认情况下所提供的值的值和区分。?). 其结果`ConfigurationSection.contains(java.lang.String)`, 将始终返回相同的值`ConfigurationSection.isSet(java.lang.String)`.

    默认值是false.

    原文: Sets if the `Configuration` should copy values from its default `Configuration` directly.

    If this is true, all values in the default Configuration will be directly copied, making it impossible to distinguish between values that were set and values that are provided by default. As a result, `ConfigurationSection.contains(java.lang.String)` will always return the same value as `ConfigurationSection.isSet(java.lang.String)`. The default value is false.

    覆盖:
      `copyDefaults` 在类中 `FileConfigurationOptions`
    参数:
      `value` - Whether or not defaults are directly copied
    返回:
      返回 this

  - ### pathSeparator

    @NotNull public @NotNull YamlConfigurationOptions pathSeparator(char value)
    从类复制的说明: `ConfigurationOptions`
    设置用于分离 `ConfigurationSection` 中路径的 char.

    这个 char 并不会影响数据的储存, 它只是路径的分隔符. 只会影响你在程序中怎样读取数据.默认为 '.'.

    原文: Sets the char that will be used to separate `ConfigurationSection`s.

    This value does not affect how the `Configuration` is stored, only in how you access the data. The default value is '.'.

    覆盖:
      `pathSeparator` 在类中 `FileConfigurationOptions`
    参数:
      `value` - Path 路径分割符.
    返回:
      返回 this .

  - ### setHeader

    @NotNull public @NotNull YamlConfigurationOptions setHeader(@Nullable @Nullable List<String> value)
    从类复制的说明: `FileConfigurationOptions`
    Sets the header that will be applied to the top of the saved output.

    This header will be commented out and applied directly at the top of the generated output of the `FileConfiguration`. It is not required to include a newline at the end of the header as it will automatically be applied, but you may include one if you wish for extra spacing.

    If no comments exist, an empty list will be returned. A null entry represents an empty line and an empty String represents an empty comment line.

    覆盖:
      `setHeader` 在类中 `FileConfigurationOptions`
    参数:
      `value` - New header, every entry represents one line.
    返回:
      This object, for chaining

  - ### header

    @NotNull @Deprecated public @NotNull YamlConfigurationOptions header(@Nullable @Nullable String value)
    已过时。
    覆盖:
      `header` 在类中 `FileConfigurationOptions`
    参数:
      `value` - The string header.
    返回:
      This object, for chaining.

  - ### setFooter

    @NotNull public @NotNull YamlConfigurationOptions setFooter(@Nullable @Nullable List<String> value)
    从类复制的说明: `FileConfigurationOptions`
    Sets the footer that will be applied to the bottom of the saved output.

    This footer will be commented out and applied directly at the bottom of the generated output of the `FileConfiguration`. It is not required to include a newline at the beginning of the footer as it will automatically be applied, but you may include one if you wish for extra spacing.

    If no comments exist, an empty list will be returned. A null entry represents an empty line and an empty String represents an empty comment line.

    覆盖:
      `setFooter` 在类中 `FileConfigurationOptions`
    参数:
      `value` - New footer, every entry represents one line.
    返回:
      This object, for chaining

  - ### parseComments

    @NotNull public @NotNull YamlConfigurationOptions parseComments(boolean value)
    从类复制的说明: `FileConfigurationOptions`
    Sets whether or not comments should be loaded and saved.

    Defaults to true.

    覆盖:
      `parseComments` 在类中 `FileConfigurationOptions`
    参数:
      `value` - Whether or not comments are parsed.
    返回:
      This object, for chaining

  - ### copyHeader

    @NotNull @Deprecated public @NotNull YamlConfigurationOptions copyHeader(boolean value)
    已过时。
    覆盖:
      `copyHeader` 在类中 `FileConfigurationOptions`
    参数:
      `value` - Should comments be parsed.
    返回:
      This object, for chaining

  - ### indent

    public int indent()
    Gets how much spaces should be used to indent each line.

    The minimum value this may be is 2, and the maximum is 9.

    返回:
      How much to indent by

  - ### indent

    @NotNull public @NotNull YamlConfigurationOptions indent(int value)
    Sets how much spaces should be used to indent each line.

    The minimum value this may be is 2, and the maximum is 9.

    参数:
      `value` - New indent
    返回:
      This object, for chaining

  - ### width

    public int width()
    Gets how long a line can be, before it gets split.
    返回:
      How the max line width

  - ### width

    @NotNull public @NotNull YamlConfigurationOptions width(int value)
    Sets how long a line can be, before it gets split.
    参数:
      `value` - New width
    返回:
      This object, for chaining